libgdamm Reference Documentation

Main Page Namespaces Book

# Gnome::Gda::QueryFieldAll Class Reference

Represents all the fields of an entity (through a GdaQueryTarget object). More...

Inheritance diagram for Gnome::Gda::QueryFieldAll:

[legend]
List of all members.

## Public Member Functions

Glib::RefPtr<const QueryTarget> | get_target () const
| Get the Gda::QueryTarget object field 'belongs' to.
Glib::RefPtr<QueryTarget> | get_target ()
| Get the Gda::QueryTarget object field 'belongs' to.
const GdaQueryFieldAll* | gobj () const
| Provides access to the underlying C GObject.
GdaQueryFieldAll* | gobj ()
| Provides access to the underlying C GObject.
GdaQueryFieldAll* | gobj_copy ()
| Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.
Glib::PropertyProxy_ReadOnly< Glib::RefPtr<Query >> | property_query () const
| You rarely need to use properties because there are get_ and set_ methods for almost all of them.
Glib::PropertyProxy_ReadOnly< Glib::RefPtr<QueryTarget >> | property_target () const
| You rarely need to use properties because there are get_ and set_ methods for almost all of them.
Glib::PropertyProxy< Glib::RefPtr< QueryTarget > > | property_target ()
| You rarely need to use properties because there are get_ and set_ methods for almost all of them.
Glib::PropertyProxy_WriteOnly< Glib::ustring > | property_target_id ()
| You rarely need to use properties because there are get_ and set_ methods for almost all of them.
Glib::PropertyProxy_WriteOnly< Glib::ustring > | property_target_name ()
| You rarely need to use properties because there are get_ and set_ methods for almost all of them.
virtual | ~QueryFieldAll ()

## Static Public Member Functions

static Glib::RefPtr<QueryFieldAll> | create (const Glib::RefPtr<Query>& query, const Glib::ustring& target)

## Protected Member Functions

| QueryFieldAll (const Glib::RefPtr<Query>& query, const Glib::ustring& target)

## Related Functions

(Note that these are not member functions.)
Glib::RefPtr<Gnome::Gda::QueryFieldAll> | wrap (GdaQueryFieldAll* object, bool take_copy=false)
| A Glib::wrap() method for this object.

## Detailed Description

Represents all the fields of an entity (through a GdaQueryTarget object).

## Constructor & Destructor Documentation

virtual Gnome::Gda::QueryFieldAll::~QueryFieldAll | ( |  | ) | `[virtual]`

Gnome::Gda::QueryFieldAll::QueryFieldAll | ( | const Glib::RefPtr<Query>& | query,
|  | const Glib::ustring & | target |
| ) |  |  | `[protected]`

## Member Function Documentation

static Glib::RefPtr<QueryFieldAll> Gnome::Gda::QueryFieldAll::create | ( | const Glib::RefPtr<Query>& | query,
|  | const Glib::ustring & | target |
| ) |  |  | `[static]`

Glib::RefPtr<const QueryTarget> Gnome::Gda::QueryFieldAll::get_target | ( |  | ) | const

Get the Gda::QueryTarget object field 'belongs' to.

Returns:
  The Gda::QueryTarget object.

Glib::RefPtr<QueryTarget> Gnome::Gda::QueryFieldAll::get_target | ( |  | ) |

Get the Gda::QueryTarget object field 'belongs' to.

Returns:
  The Gda::QueryTarget object.

const GdaQueryFieldAll* Gnome::Gda::QueryFieldAll::gobj | ( |  | ) | const`[inline]`

Provides access to the underlying C GObject.

Reimplemented from Gnome::Gda::EntityField.

GdaQueryFieldAll* Gnome::Gda::QueryFieldAll::gobj | ( |  | ) | `[inline]`

Provides access to the underlying C GObject.

Reimplemented from Gnome::Gda::EntityField.

GdaQueryFieldAll* Gnome::Gda::QueryFieldAll::gobj_copy | ( |  | ) |

Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.

Reimplemented from Gnome::Gda::QueryField.

Glib::PropertyProxy_ReadOnly<Glib::RefPtr<Query>> Gnome::Gda::QueryFieldAll::property_query | ( |  | ) | const

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<Glib::RefPtr<QueryTarget>> Gnome::Gda::QueryFieldAll::property_target | ( |  | ) | const

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<Glib::RefPtr<QueryTarget>> Gnome::Gda::QueryFieldAll::property_target | ( |  | ) |

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_WriteOnly<Glib::ustring> Gnome::Gda::QueryFieldAll::property_target_id | ( |  | ) |

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_WriteOnly<Glib::ustring> Gnome::Gda::QueryFieldAll::property_target_name | ( |  | ) |

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

## Friends And Related Function Documentation

Glib::RefPtr<Gnome::Gda::QueryFieldAll> wrap | ( | GdaQueryFieldAll * | object,
|  | bool | take_copy = `false` |
| ) |  |  | `[related]`

A Glib::wrap() method for this object.

Parameters:

  | object | The C instance.
  | take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns:
  A C++ instance that wraps this C instance.

The documentation for this class was generated from the following file:

- queryfieldall.h